Package org.lwjgl.opengl

# Class EXTTimerQuery

java.lang.Object
org.lwjgl.opengl.EXTTimerQuery

public final class EXTTimerQuery extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_TIME_ELAPSED_EXT`
Accepted by the <target> parameter of BeginQuery, EndQuery, and GetQueryiv:

## Method Summary

Modifier and Type
Method
Description
`static long`
`glGetQueryObjectEXT(int id, int pname)`
Overloads glGetQueryObjecti64vEXT.
`static void`
`glGetQueryObjectEXT(int id, int pname, LongBuffer params)`
`static long`
`glGetQueryObjectuEXT(int id, int pname)`
Overloads glGetQueryObjectui64vEXT.
`static void`
`glGetQueryObjectuEXT(int id, int pname, LongBuffer params)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_TIME_ELAPSED_EXT

public static final int GL_TIME_ELAPSED_EXT
Accepted by the <target> parameter of BeginQuery, EndQuery, and GetQueryiv:

See Also:
  - Constant Field Values

## Method Details

### glGetQueryObjectEXT

public static void glGetQueryObjectEXT(int id, int pname, LongBuffer params)

### glGetQueryObjectEXT

public static long glGetQueryObjectEXT(int id, int pname)
Overloads glGetQueryObjecti64vEXT.

### glGetQueryObjectuEXT

public static void glGetQueryObjectuEXT(int id, int pname, LongBuffer params)

### glGetQueryObjectuEXT

public static long glGetQueryObjectuEXT(int id, int pname)
Overloads glGetQueryObjectui64vEXT.